Name:          libdmx
Version:       1.1.4
Release:       7
Summary:       Distributed Multihead X extension library
License:       MIT
URL:           https://xorg.freedesktop.org/
Source0:       https://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: pkgconfig(xext)  autoconf automake libtool
BuildRequires: xorg-x11-util-macros libX11-devel 
Requires:      libX11

%description
The X.Org project provides an open source implementation of the X Window System. 
The development work is being done in conjunction with the freedesktop.org community. 
The X.Org Foundation is the educational non-profit corporation whose Board serves this effort, 
and whose Members lead this work.

%package       devel
Summary:       development files and header files for %{name}
Requires:      %{name} = %{version}-%{release}

%description   devel
%{name}-devel contains development files and header files for %{name}

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -v --install --force
%configure  
%make_build

%install
%make_install
%delete_la

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/libdmx.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/libdmx.so
%{_includedir}/X11/*

%files help
%defattr(-,root,root)
%{_mandir}/man3/*

%changelog
* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.1.4-7
- Rebuild for next release

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-6
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Sat Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.4-5
- Package init

